Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 2.6.6   

Resolution: Fixed Affected version:  

Description

When I'm bulk editing issues, doesn't matter if I checked "copy subtasks" checkbox, they will be copied anyway. I guess it's because

<%= hidden_field_tag 'copy_subtasks', '0' >

<p>

<label for='copy_subtasks'><= l(:label_copy_subtasks) ></label>

<= check_box_tag 'copy_subtasks', '1', false %>

</p>

Form passes copy_subtasks parameter anyway. And in controller there's "present" check on copy_subtasks param. But both '0' and

'1' value are present.

Associated revisions

Revision 14268 - 2015-05-23 09:08 - Jean-Philippe Lang

Fixed that copying issues always copy subtasks and attachments even if option is unchecked (#11787).

Revision 14277 - 2015-05-30 10:06 - Jean-Philippe Lang

Merged r14268 (#19815).

Revision 14278 - 2015-05-30 10:09 - Jean-Philippe Lang

Merged r14268 (#19815).

History

#1 - 2015-05-23 09:09 - Jean-Philippe Lang

- Subject changed from Bug in issues_controller#bulk_edit to Bulk issue copy copies subtasks and attachments even if option is unchecked

- Category set to Issues

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.6.6

- Resolution set to Fixed

Fixed in r14268, thanks for pointing this out.

#2 - 2015-05-30 10:09 - Jean-Philippe Lang

- Status changed from Resolved to Closed
